@tailwind base;
@tailwind components;
@tailwind utilities;

html,
body {
  background: #562b1b;
  color: whitesmoke;
  font-size: 18px;
  font-family: "Staatliches", sans-serif;
}
* {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
}

button {
  font-family: "Staatliches", sans-serif;
}

#app {
  max-width: 1200px;
  margin: 0 auto;
  min-height: 100vh;
  display: grid;
  background: #934123;
  grid-template-columns: 50% 50%;
  grid-template-rows: auto 350px;
  grid-template-areas:
    "pizza toppings"
    "order order";
}

#pizza-container {
  grid-area: pizza;
  text-align: center;
  padding: 25px;
  display: flex;
  justify-content: center;
  align-items: center;
}
#pizza {
  position: relative;
  width: 400px;
  height: 400px;
}

.pizza-base {
  margin: 0 auto;
  border-radius: 50%;
  background: transparent url("../imgs/pizza-base.svg") top left no-repeat;
  position: absolute;
  width: 400px;
  height: 400px;
}

#toppings {
  grid-area: toppings;
  text-align: center;
  padding: 25px 15px;
}
#toppings h4 {
  margin-bottom: 15px;
}
#toppings .btn {
  border: 4px solid #eeffee;
  font-size: 1.25em;
  background: #d2bca2;
  padding: 15px;
  border-radius: 10px;
  margin: 15px;
  font-weight: bold;
  width: 275px;
}
#toppings .btn:active,
#toppings .btn:focus {
  outline: none;
}
#toppings .btn:hover {
  background: #ffe7c5;
}
#toppings .btn:active {
  background: #b9a48f;
}

.topping {
  width: 400px;
  height: 400px;
  top: 0;
  background-size: contain;
  margin: 0 auto;
  position: absolute;
}
.topping--cheese {
  background: transparent url("../imgs/pizza-cheese.svg") top left no-repeat;
  z-index: 1;
}
.topping--pepperoni {
  background: transparent url("../imgs/pizza-pepperoni.svg") top left no-repeat;
  z-index: 2;
}
.topping--mushroom {
  background: transparent url("../imgs/pizza-mushroom.svg") top left no-repeat;
  z-index: 3;
}
.topping--pineapple {
  background: transparent url("../imgs/pizza-pineapple.svg") top left no-repeat;
  z-index: 4;
}

#order {
  grid-area: order;
  padding: 25px;
  background: brown;
}

#order h2 {
  margin-bottom: 5px;
  text-transform: uppercase;
}

#order--toppings {
  list-style-type: none;
}
#order--toppings li {
  display: block;
  margin: 10px 0;
}
#order h4 {
  font-size: 1.5em;
  background: whitesmoke;
  color: brown;
  display: inline-block;
  padding: 10px;
  margin: 5px 0;
}
